#include <stdio.h>
#include "pico/stdlib.h"

#include "EA_TFT.h"
#include "EA_TOUCH.h"

#define TFT_PWM     9  // Pin 12

//-------------------------------------------------------------------------------------------------

void ClrScreen(void)
{
  TFTclear(BLACK); 
  TFTtext(0,0, "clear");
}

int main()
{
    stdio_init_all();
    gpio_set_function(TFT_PWM,  GPIO_FUNC_SIO);
    gpio_set_dir(TFT_PWM, GPIO_OUT);
    gpio_put(TFT_PWM, 1);

    TFTspi_init(16000000);
    TFTreset(EA_TFT009);
    
    setTFTangle(270);
    setTFTcolor(YELLOW, BLUE);
    setTFTfont(FONT_8X16, 1,1);
    ClrScreen();

    TOUCHi2c_init(400000);

    while(1)
    { 
        if(gTouchOK)
        {  if(gX < 64  &&  gY < 32)
           { if(gTouchEvent == TOUCH_DOWN)
                ClrScreen();
           }
           else
           {    switch(gTouchEvent)
                {   case TOUCH_DOWN: TFTfill(GREEN, gX-1,gY-1, gX+1,gY+1);  break;
                    case TOUCH_DRAG: TFTfill(WHITE, gX,gY, gX,gY);          break;
                    case TOUCH_UP:   TFTfill(RED,   gX-1,gY-1, gX+1,gY+1);  break;
                }
            }
            gTouchOK = 0;
        }
    }

    return 0;
}
